Bug 91688 - radio application exits when cursor up is pressed
Summary: radio application exits when cursor up is pressed
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: ncurses (Show other bugs)
(Show other bugs)
Version: alpha 1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-05-27 08:31 UTC by David Balažic
Modified: 2015-01-08 00:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-19 19:12:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Balažic 2003-05-27 08:31:56 UTC
Description of problem:

run /usr/bin/screen on VT1 or other text console
inside screen run /usr/bin/radio,
press 'g'
enter any freq+<enter>
press cursor up or down 
screen exits ( no messages are printed )


Version-Release number of selected component (if applicable):

xawtv-3.88-1
glibc-2.3.2-37
ncurses-5.3-4
screen-3.9.15-1


How reproducible:

Always , see above

Comment 1 Ngo Than 2003-05-27 10:21:00 UTC
does this problem still appear if you just start xawtv directly on console (not
inside screen!) ?

Comment 2 David Balažic 2003-05-28 06:38:45 UTC
It works ok on plain VT.
( 'g' <freq> <enter> 'crsr-up' -> crash )

But :

On plain VT : "TERM=vt100 radio"
has the same problem !


Inside screen on VT : TERM=linux radio
does not have the problem ( has other problems , background
is not colored, but black )

--
It behaves exactly the same on RHL9 Shrike too.
Also it has this bug when run inside gnome-terminal-2.2.1-3 and XFree86-4.3.0-
2/xterm

--
Red Hat Linux 8.0 (Psyche)
Same as Shrike, except it does not exit in gnome-terminal-2.0.1-5

--

For testing without a radio card, I suggest commenting out the radio accessing 
functions.


Comment 3 Ngo Than 2003-05-28 11:37:47 UTC
ok, i have removed the radio accessing functions and it crashs with TERM=vt100
or TERM=screen on my machine

It's a bug in ncurses. Workaround, you should set your TERM=linux




Comment 4 Eido Inoue 2004-04-19 19:12:53 UTC
this appears fixed in ncurses 5.4 in FC1


Note You need to log in before you can comment on or make changes to this bug.